/* =========================================================
   TABLER – THEME CUSTOM (PRODUCCIÓN)
   ========================================================= */


/* ---------- COLOR PRIMARY ---------- */
:root[data-theme-primary="blue"]   { --tblr-primary: #206bc4; }
:root[data-theme-primary="azure"]  { --tblr-primary: #4299e1; }
:root[data-theme-primary="indigo"] { --tblr-primary: #4263eb; }
:root[data-theme-primary="purple"] { --tblr-primary: #ae3ec9; }
:root[data-theme-primary="pink"]   { --tblr-primary: #d6336c; }
:root[data-theme-primary="red"]    { --tblr-primary: #e03131; }
:root[data-theme-primary="orange"] { --tblr-primary: #f76707; }
:root[data-theme-primary="yellow"] { --tblr-primary: #f59f00; }
:root[data-theme-primary="lime"]   { --tblr-primary: #74b816; }
:root[data-theme-primary="green"]  { --tblr-primary: #2fb344; }
:root[data-theme-primary="teal"]   { --tblr-primary: #0ca678; }
:root[data-theme-primary="cyan"]   { --tblr-primary: #17a2b8; }

/* ---------- FONT FAMILY ---------- */
:root[data-theme-font="sans-serif"] {
  --tblr-font-sans-serif: -apple-system, BlinkMacSystemFont, Arial, sans-serif, "Segoe UI",
    Roboto, "Helvetica Neue";
}

:root[data-theme-font="serif"] {
  --tblr-font-sans-serif: Georgia, "Times New Roman", serif;
}

:root[data-theme-font="monospace"] {
  --tblr-font-sans-serif: "Fira Code", Consolas, monospace;
}

:root[data-theme-font="comic"] {
  --tblr-font-sans-serif: "Comic Sans MS", cursive, sans-serif;
}

/* ---------- BORDER RADIUS ---------- */
/*:root[data-theme-radius="0"]   { --tblr-border-radius: 0; }
:root[data-theme-radius="0.5"] { --tblr-border-radius: .25rem; }
:root[data-theme-radius="1"]   { --tblr-border-radius: .5rem; }
:root[data-theme-radius="1.5"] { --tblr-border-radius: .75rem; }
:root[data-theme-radius="2"]   { --tblr-border-radius: 1rem; }*/

/* ---------- THEME BASE (GRAY SCALE) ---------- */
/*:root[data-theme-base="slate"]   { --tblr-gray-100:#f8fafc; --tblr-gray-900:#020617; }
:root[data-theme-base="gray"]    { --tblr-gray-100:#f9fafb; --tblr-gray-900:#111827; }
:root[data-theme-base="zinc"]    { --tblr-gray-100:#fafafa; --tblr-gray-900:#18181b; }
:root[data-theme-base="neutral"] { --tblr-gray-100:#fafafa; --tblr-gray-900:#171717; }
:root[data-theme-base="stone"]   { --tblr-gray-100:#fafaf9; --tblr-gray-900:#1c1917; }*/
